package com.jiuqi.util.patterns;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jiuqi.util.patterns.IPattern;
import com.jiuqi.util.patterns.ITranslator;
import java.util.Map;

class ConstPattern implements IPattern {
  private String expression;
  
  public ConstPattern() {}
  
  public ConstPattern(String expression) {
    this.expression = expression;
  }
  
  public String toString() {
    return this.expression;
  }
  
  public void add(IPattern pattern) {}
  
  public void add(int index, IPattern pattern) {}
  
  public void clear() {}
  
  public IPattern get(int index) {
    return null;
  }
  
  public String getExpression() {
    return this.expression;
  }
  
  public int getLength() {
    return (this.expression == null) ? 0 : this.expression.length();
  }
  
  public int getType() {
    return 0;
  }
  
  public int indexOf(IPattern pattern) {
    return -1;
  }
  
  public void remove(int index) {}
  
  public void setExpression(String value) {
    this.expression = value;
  }
  
  public void setLength(int value) {}
  
  public int size() {
    return 0;
  }
  
  public int match(String s, int start, Map values) {
    if (s == null)
      return -1; 
    if (this.expression == null)
      return start; 
    for (int i = 0; i < this.expression.length(); i++) {
      if (start + i >= s.length())
        return -1; 
      if (this.expression.charAt(i) != s.charAt(start + i))
        return -1; 
    } 
    return start + this.expression.length();
  }
  
  public String replace(ITranslator translator) {
    return this.expression;
  }
}
